=== modified file 'olive.glade'
--- olive.glade	2007-05-16 08:58:24 +0000
+++ olive.glade	2007-05-17 16:54:02 +0000
@@ -556,6 +556,68 @@
                         <property name="position">4</property>
                       </packing>
                     </child>
+                    <child>
+                      <widget class="GtkVSeparator" id="vseparator">
+                        <property name="visible">True</property>
+                        <property name="events">GDK_POINTER_MOTION_MASK | GDK_POINTER_MOTION_HINT_MASK | GDK_BUTTON_PRESS_MASK | GDK_BUTTON_RELEASE_MASK</property>
+                      </widget>
+                      <packing>
+                        <property name="expand">False</property>
+                        <property name="fill">False</property>
+                        <property name="position">5</property>
+                      </packing>
+                    </child>
+                    <child>
+                      <widget class="GtkCheckButton" id="checkbutton_history">
+                        <property name="visible">True</property>
+                        <property name="can_focus">True</property>
+                        <property name="events">GDK_POINTER_MOTION_MASK | GDK_POINTER_MOTION_HINT_MASK | GDK_BUTTON_PRESS_MASK | GDK_BUTTON_RELEASE_MASK</property>
+                        <property name="label" translatable="yes">H_istory Mode</property>
+                        <property name="use_underline">True</property>
+                        <property name="draw_indicator">True</property>
+                      </widget>
+                      <packing>
+                        <property name="expand">False</property>
+                        <property name="fill">False</property>
+                        <property name="position">6</property>
+                      </packing>
+                    </child>
+                    <child>
+                      <widget class="GtkEntry" id="entry_history_revno">
+                        <property name="width_request">75</property>
+                        <property name="visible">True</property>
+                        <property name="sensitive">False</property>
+                        <property name="can_focus">True</property>
+                        <property name="events">GDK_POINTER_MOTION_MASK | GDK_POINTER_MOTION_HINT_MASK | GDK_BUTTON_PRESS_MASK | GDK_BUTTON_RELEASE_MASK</property>
+                      </widget>
+                      <packing>
+                        <property name="expand">False</property>
+                        <property name="fill">False</property>
+                        <property name="position">7</property>
+                      </packing>
+                    </child>
+                    <child>
+                      <widget class="GtkButton" id="button_history_browse">
+                        <property name="visible">True</property>
+                        <property name="sensitive">False</property>
+                        <property name="can_focus">True</property>
+                        <property name="receives_default">True</property>
+                        <property name="events">GDK_POINTER_MOTION_MASK | GDK_POINTER_MOTION_HINT_MASK | GDK_BUTTON_PRESS_MASK | GDK_BUTTON_RELEASE_MASK</property>
+                        <signal name="clicked" handler="on_button_history_browse_clicked"/>
+                        <child>
+                          <widget class="GtkImage" id="image_history_browse">
+                            <property name="visible">True</property>
+                            <property name="events">GDK_POINTER_MOTION_MASK | GDK_POINTER_MOTION_HINT_MASK | GDK_BUTTON_PRESS_MASK | GDK_BUTTON_RELEASE_MASK</property>
+                            <property name="stock">gtk-open</property>
+                          </widget>
+                        </child>
+                      </widget>
+                      <packing>
+                        <property name="expand">False</property>
+                        <property name="fill">False</property>
+                        <property name="position">8</property>
+                      </packing>
+                    </child>
                   </widget>
                   <packing>
                     <property name="expand">False</property>
@@ -1210,91 +1272,72 @@
                     <property name="n_columns">2</property>
                     <property name="column_spacing">12</property>
                     <child>
-                      <widget class="GtkLabel" id="label_info_location_repobranch">
-                        <property name="xalign">0</property>
-                        <property name="label" translatable="yes">(none)</property>
-                      </widget>
-                      <packing>
-                        <property name="left_attach">1</property>
-                        <property name="right_attach">2</property>
+                      <widget class="GtkLabel" id="label_info_location_lightcoroot_label">
+                        <property name="xalign">0</property>
+                        <property name="label" translatable="yes">Light checkout root: </property>
+                      </widget>
+                      <packing>
+                        <property name="x_options">GTK_FILL</property>
+                        <property name="y_options"></property>
+                      </packing>
+                    </child>
+                    <child>
+                      <widget class="GtkLabel" id="label_info_location_sharedrepo_label">
+                        <property name="xalign">0</property>
+                        <property name="label" translatable="yes">Shared repository: </property>
+                      </widget>
+                      <packing>
+                        <property name="top_attach">1</property>
+                        <property name="bottom_attach">2</property>
+                        <property name="x_options">GTK_FILL</property>
+                        <property name="y_options"></property>
+                      </packing>
+                    </child>
+                    <child>
+                      <widget class="GtkLabel" id="label_info_location_repobranch_label">
+                        <property name="xalign">0</property>
+                        <property name="label" translatable="yes">Repository branch: </property>
+                      </widget>
+                      <packing>
                         <property name="top_attach">2</property>
                         <property name="bottom_attach">3</property>
+                        <property name="x_options">GTK_FILL</property>
                         <property name="y_options"></property>
                       </packing>
                     </child>
                     <child>
-                      <widget class="GtkLabel" id="label_info_location_cobranch">
+                      <widget class="GtkLabel" id="label_info_location_cobranch_label">
                         <property name="xalign">0</property>
-                        <property name="label" translatable="yes">(none)</property>
+                        <property name="label" translatable="yes">Checkout of branch: </property>
                       </widget>
                       <packing>
-                        <property name="left_attach">1</property>
-                        <property name="right_attach">2</property>
                         <property name="top_attach">3</property>
                         <property name="bottom_attach">4</property>
+                        <property name="x_options">GTK_FILL</property>
                         <property name="y_options"></property>
                       </packing>
                     </child>
                     <child>
-                      <widget class="GtkLabel" id="label_info_location_repoco">
+                      <widget class="GtkLabel" id="label_info_location_repoco_label">
                         <property name="xalign">0</property>
-                        <property name="label" translatable="yes">(none)</property>
+                        <property name="label" translatable="yes">Repository checkout: </property>
                       </widget>
                       <packing>
-                        <property name="left_attach">1</property>
-                        <property name="right_attach">2</property>
                         <property name="top_attach">4</property>
                         <property name="bottom_attach">5</property>
-                        <property name="y_options"></property>
-                      </packing>
-                    </child>
-                    <child>
-                      <widget class="GtkLabel" id="label_info_location_coroot">
-                        <property name="xalign">0</property>
-                        <property name="label" translatable="yes">(none)</property>
-                      </widget>
-                      <packing>
-                        <property name="left_attach">1</property>
-                        <property name="right_attach">2</property>
-                        <property name="top_attach">5</property>
-                        <property name="bottom_attach">6</property>
-                        <property name="y_options"></property>
-                      </packing>
-                    </child>
-                    <child>
-                      <widget class="GtkLabel" id="label_info_location_branchroot">
-                        <property name="xalign">0</property>
-                        <property name="label" translatable="yes">(none)</property>
-                      </widget>
-                      <packing>
-                        <property name="left_attach">1</property>
-                        <property name="right_attach">2</property>
+                        <property name="x_options">GTK_FILL</property>
+                        <property name="y_options"></property>
+                      </packing>
+                    </child>
+                    <child>
+                      <widget class="GtkLabel" id="label_info_location_branchroot_label">
+                        <property name="xalign">0</property>
+                        <property name="label" translatable="yes">Branch root: </property>
+                      </widget>
+                      <packing>
                         <property name="top_attach">6</property>
                         <property name="bottom_attach">7</property>
-                        <property name="y_options"></property>
-                      </packing>
-                    </child>
-                    <child>
-                      <widget class="GtkLabel" id="label_info_location_sharedrepo">
-                        <property name="xalign">0</property>
-                        <property name="label" translatable="yes">(none)</property>
-                      </widget>
-                      <packing>
-                        <property name="left_attach">1</property>
-                        <property name="right_attach">2</property>
-                        <property name="top_attach">1</property>
-                        <property name="bottom_attach">2</property>
-                        <property name="y_options"></property>
-                      </packing>
-                    </child>
-                    <child>
-                      <widget class="GtkLabel" id="label_info_location_lightcoroot">
-                        <property name="xalign">0</property>
-                        <property name="label" translatable="yes">(none)</property>
-                      </widget>
-                      <packing>
-                        <property name="left_attach">1</property>
-                        <property name="right_attach">2</property>
+                        <property name="x_options">GTK_FILL</property>
                         <property name="y_options"></property>
                       </packing>
                     </child>
@@ -1311,72 +1354,91 @@
                       </packing>
                     </child>
                     <child>
-                      <widget class="GtkLabel" id="label_info_location_branchroot_label">
-                        <property name="xalign">0</property>
-                        <property name="label" translatable="yes">Branch root: </property>
-                      </widget>
-                      <packing>
+                      <widget class="GtkLabel" id="label_info_location_lightcoroot">
+                        <property name="xalign">0</property>
+                        <property name="label" translatable="yes">(none)</property>
+                      </widget>
+                      <packing>
+                        <property name="left_attach">1</property>
+                        <property name="right_attach">2</property>
+                        <property name="y_options"></property>
+                      </packing>
+                    </child>
+                    <child>
+                      <widget class="GtkLabel" id="label_info_location_sharedrepo">
+                        <property name="xalign">0</property>
+                        <property name="label" translatable="yes">(none)</property>
+                      </widget>
+                      <packing>
+                        <property name="left_attach">1</property>
+                        <property name="right_attach">2</property>
+                        <property name="top_attach">1</property>
+                        <property name="bottom_attach">2</property>
+                        <property name="y_options"></property>
+                      </packing>
+                    </child>
+                    <child>
+                      <widget class="GtkLabel" id="label_info_location_branchroot">
+                        <property name="xalign">0</property>
+                        <property name="label" translatable="yes">(none)</property>
+                      </widget>
+                      <packing>
+                        <property name="left_attach">1</property>
+                        <property name="right_attach">2</property>
                         <property name="top_attach">6</property>
                         <property name="bottom_attach">7</property>
-                        <property name="x_options">GTK_FILL</property>
-                        <property name="y_options"></property>
-                      </packing>
-                    </child>
-                    <child>
-                      <widget class="GtkLabel" id="label_info_location_repoco_label">
-                        <property name="xalign">0</property>
-                        <property name="label" translatable="yes">Repository checkout: </property>
-                      </widget>
-                      <packing>
+                        <property name="y_options"></property>
+                      </packing>
+                    </child>
+                    <child>
+                      <widget class="GtkLabel" id="label_info_location_coroot">
+                        <property name="xalign">0</property>
+                        <property name="label" translatable="yes">(none)</property>
+                      </widget>
+                      <packing>
+                        <property name="left_attach">1</property>
+                        <property name="right_attach">2</property>
+                        <property name="top_attach">5</property>
+                        <property name="bottom_attach">6</property>
+                        <property name="y_options"></property>
+                      </packing>
+                    </child>
+                    <child>
+                      <widget class="GtkLabel" id="label_info_location_repoco">
+                        <property name="xalign">0</property>
+                        <property name="label" translatable="yes">(none)</property>
+                      </widget>
+                      <packing>
+                        <property name="left_attach">1</property>
+                        <property name="right_attach">2</property>
                         <property name="top_attach">4</property>
                         <property name="bottom_attach">5</property>
-                        <property name="x_options">GTK_FILL</property>
                         <property name="y_options"></property>
                       </packing>
                     </child>
                     <child>
-                      <widget class="GtkLabel" id="label_info_location_cobranch_label">
+                      <widget class="GtkLabel" id="label_info_location_cobranch">
                         <property name="xalign">0</property>
-                        <property name="label" translatable="yes">Checkout of branch: </property>
+                        <property name="label" translatable="yes">(none)</property>
                       </widget>
                       <packing>
+                        <property name="left_attach">1</property>
+                        <property name="right_attach">2</property>
                         <property name="top_attach">3</property>
                         <property name="bottom_attach">4</property>
-                        <property name="x_options">GTK_FILL</property>
                         <property name="y_options"></property>
                       </packing>
                     </child>
                     <child>
-                      <widget class="GtkLabel" id="label_info_location_repobranch_label">
+                      <widget class="GtkLabel" id="label_info_location_repobranch">
                         <property name="xalign">0</property>
-                        <property name="label" translatable="yes">Repository branch: </property>
+                        <property name="label" translatable="yes">(none)</property>
                       </widget>
                       <packing>
+                        <property name="left_attach">1</property>
+                        <property name="right_attach">2</property>
                         <property name="top_attach">2</property>
                         <property name="bottom_attach">3</property>
-                        <property name="x_options">GTK_FILL</property>
-                        <property name="y_options"></property>
-                      </packing>
-                    </child>
-                    <child>
-                      <widget class="GtkLabel" id="label_info_location_sharedrepo_label">
-                        <property name="xalign">0</property>
-                        <property name="label" translatable="yes">Shared repository: </property>
-                      </widget>
-                      <packing>
-                        <property name="top_attach">1</property>
-                        <property name="bottom_attach">2</property>
-                        <property name="x_options">GTK_FILL</property>
-                        <property name="y_options"></property>
-                      </packing>
-                    </child>
-                    <child>
-                      <widget class="GtkLabel" id="label_info_location_lightcoroot_label">
-                        <property name="xalign">0</property>
-                        <property name="label" translatable="yes">Light checkout root: </property>
-                      </widget>
-                      <packing>
-                        <property name="x_options">GTK_FILL</property>
                         <property name="y_options"></property>
                       </packing>
                     </child>
@@ -1415,26 +1477,12 @@
                     <property name="n_columns">2</property>
                     <property name="column_spacing">12</property>
                     <child>
-                      <widget class="GtkLabel" id="label_info_related_parentbranch">
-                        <property name="xalign">0</property>
-                        <property name="label" translatable="yes">(none)</property>
-                      </widget>
-                      <packing>
-                        <property name="left_attach">1</property>
-                        <property name="right_attach">2</property>
-                        <property name="y_options"></property>
-                      </packing>
-                    </child>
-                    <child>
-                      <widget class="GtkLabel" id="label_info_related_publishbranch">
-                        <property name="xalign">0</property>
-                        <property name="label" translatable="yes">(none)</property>
-                      </widget>
-                      <packing>
-                        <property name="left_attach">1</property>
-                        <property name="right_attach">2</property>
-                        <property name="top_attach">1</property>
-                        <property name="bottom_attach">2</property>
+                      <widget class="GtkLabel" id="label_info_related_parentbranch_label">
+                        <property name="xalign">0</property>
+                        <property name="label" translatable="yes">Parent branch: </property>
+                      </widget>
+                      <packing>
+                        <property name="x_options">GTK_FILL</property>
                         <property name="y_options"></property>
                       </packing>
                     </child>
@@ -1451,12 +1499,26 @@
                       </packing>
                     </child>
                     <child>
-                      <widget class="GtkLabel" id="label_info_related_parentbranch_label">
-                        <property name="xalign">0</property>
-                        <property name="label" translatable="yes">Parent branch: </property>
-                      </widget>
-                      <packing>
-                        <property name="x_options">GTK_FILL</property>
+                      <widget class="GtkLabel" id="label_info_related_publishbranch">
+                        <property name="xalign">0</property>
+                        <property name="label" translatable="yes">(none)</property>
+                      </widget>
+                      <packing>
+                        <property name="left_attach">1</property>
+                        <property name="right_attach">2</property>
+                        <property name="top_attach">1</property>
+                        <property name="bottom_attach">2</property>
+                        <property name="y_options"></property>
+                      </packing>
+                    </child>
+                    <child>
+                      <widget class="GtkLabel" id="label_info_related_parentbranch">
+                        <property name="xalign">0</property>
+                        <property name="label" translatable="yes">(none)</property>
+                      </widget>
+                      <packing>
+                        <property name="left_attach">1</property>
+                        <property name="right_attach">2</property>
                         <property name="y_options"></property>
                       </packing>
                     </child>
@@ -1495,52 +1557,36 @@
                     <property name="n_columns">2</property>
                     <property name="column_spacing">12</property>
                     <child>
-                      <widget class="GtkLabel" id="label_info_format_control">
+                      <widget class="GtkLabel" id="label_info_format_control_label">
                         <property name="xalign">0</property>
-                        <property name="label" translatable="yes">(none)</property>
+                        <property name="label" translatable="yes">Control format: </property>
                       </widget>
                       <packing>
-                        <property name="left_attach">1</property>
-                        <property name="right_attach">2</property>
+                        <property name="x_options">GTK_FILL</property>
                         <property name="y_options"></property>
                       </packing>
                     </child>
                     <child>
-                      <widget class="GtkLabel" id="label_info_format_workingtree">
+                      <widget class="GtkLabel" id="label_info_format_workingtree_label">
                         <property name="xalign">0</property>
-                        <property name="label" translatable="yes">(none)</property>
+                        <property name="label" translatable="yes">Working tree format: </property>
                       </widget>
                       <packing>
-                        <property name="left_attach">1</property>
-                        <property name="right_attach">2</property>
                         <property name="top_attach">1</property>
                         <property name="bottom_attach">2</property>
+                        <property name="x_options">GTK_FILL</property>
                         <property name="y_options"></property>
                       </packing>
                     </child>
                     <child>
-                      <widget class="GtkLabel" id="label_info_format_branch">
+                      <widget class="GtkLabel" id="label_info_format_branch_label">
                         <property name="xalign">0</property>
-                        <property name="label" translatable="yes">(none)</property>
+                        <property name="label" translatable="yes">Branch format: </property>
                       </widget>
                       <packing>
-                        <property name="left_attach">1</property>
-                        <property name="right_attach">2</property>
                         <property name="top_attach">2</property>
                         <property name="bottom_attach">3</property>
-                        <property name="y_options"></property>
-                      </packing>
-                    </child>
-                    <child>
-                      <widget class="GtkLabel" id="label_info_format_repository">
-                        <property name="xalign">0</property>
-                        <property name="label" translatable="yes">(none)</property>
-                      </widget>
-                      <packing>
-                        <property name="left_attach">1</property>
-                        <property name="right_attach">2</property>
-                        <property name="top_attach">3</property>
-                        <property name="bottom_attach">4</property>
+                        <property name="x_options">GTK_FILL</property>
                         <property name="y_options"></property>
                       </packing>
                     </child>
@@ -1557,36 +1603,52 @@
                       </packing>
                     </child>
                     <child>
-                      <widget class="GtkLabel" id="label_info_format_branch_label">
-                        <property name="xalign">0</property>
-                        <property name="label" translatable="yes">Branch format: </property>
-                      </widget>
-                      <packing>
+                      <widget class="GtkLabel" id="label_info_format_repository">
+                        <property name="xalign">0</property>
+                        <property name="label" translatable="yes">(none)</property>
+                      </widget>
+                      <packing>
+                        <property name="left_attach">1</property>
+                        <property name="right_attach">2</property>
+                        <property name="top_attach">3</property>
+                        <property name="bottom_attach">4</property>
+                        <property name="y_options"></property>
+                      </packing>
+                    </child>
+                    <child>
+                      <widget class="GtkLabel" id="label_info_format_branch">
+                        <property name="xalign">0</property>
+                        <property name="label" translatable="yes">(none)</property>
+                      </widget>
+                      <packing>
+                        <property name="left_attach">1</property>
+                        <property name="right_attach">2</property>
                         <property name="top_attach">2</property>
                         <property name="bottom_attach">3</property>
-                        <property name="x_options">GTK_FILL</property>
                         <property name="y_options"></property>
                       </packing>
                     </child>
                     <child>
-                      <widget class="GtkLabel" id="label_info_format_workingtree_label">
+                      <widget class="GtkLabel" id="label_info_format_workingtree">
                         <property name="xalign">0</property>
-                        <property name="label" translatable="yes">Working tree format: </property>
+                        <property name="label" translatable="yes">(none)</property>
                       </widget>
                       <packing>
+                        <property name="left_attach">1</property>
+                        <property name="right_attach">2</property>
                         <property name="top_attach">1</property>
                         <property name="bottom_attach">2</property>
-                        <property name="x_options">GTK_FILL</property>
                         <property name="y_options"></property>
                       </packing>
                     </child>
                     <child>
-                      <widget class="GtkLabel" id="label_info_format_control_label">
+                      <widget class="GtkLabel" id="label_info_format_control">
                         <property name="xalign">0</property>
-                        <property name="label" translatable="yes">Control format: </property>
+                        <property name="label" translatable="yes">(none)</property>
                       </widget>
                       <packing>
-                        <property name="x_options">GTK_FILL</property>
+                        <property name="left_attach">1</property>
+                        <property name="right_attach">2</property>
                         <property name="y_options"></property>
                       </packing>
                     </child>
@@ -1625,39 +1687,24 @@
                     <property name="n_columns">2</property>
                     <property name="column_spacing">12</property>
                     <child>
-                      <widget class="GtkLabel" id="label_info_locking_workingtree">
+                      <widget class="GtkLabel" id="label_info_locking_workingtree_label">
                         <property name="xalign">0</property>
-                        <property name="label" translatable="yes">(none)</property>
+                        <property name="label" translatable="yes">Working tree lock status: </property>
                       </widget>
                       <packing>
-                        <property name="left_attach">1</property>
-                        <property name="right_attach">2</property>
+                        <property name="x_options">GTK_FILL</property>
                         <property name="y_options"></property>
                       </packing>
                     </child>
                     <child>
-                      <widget class="GtkLabel" id="label_info_locking_branch">
+                      <widget class="GtkLabel" id="label_info_locking_branch_label">
                         <property name="xalign">0</property>
-                        <property name="label" translatable="yes">(none)</property>
+                        <property name="label" translatable="yes">Branch lock status: </property>
                       </widget>
                       <packing>
-                        <property name="left_attach">1</property>
-                        <property name="right_attach">2</property>
                         <property name="top_attach">1</property>
                         <property name="bottom_attach">2</property>
-                        <property name="y_options"></property>
-                      </packing>
-                    </child>
-                    <child>
-                      <widget class="GtkLabel" id="label_info_locking_repository">
-                        <property name="xalign">0</property>
-                        <property name="label" translatable="yes">(none)</property>
-                      </widget>
-                      <packing>
-                        <property name="left_attach">1</property>
-                        <property name="right_attach">2</property>
-                        <property name="top_attach">2</property>
-                        <property name="bottom_attach">3</property>
+                        <property name="x_options">GTK_FILL</property>
                         <property name="y_options"></property>
                       </packing>
                     </child>
@@ -1674,24 +1721,39 @@
                       </packing>
                     </child>
                     <child>
-                      <widget class="GtkLabel" id="label_info_locking_branch_label">
-                        <property name="xalign">0</property>
-                        <property name="label" translatable="yes">Branch lock status: </property>
-                      </widget>
-                      <packing>
+                      <widget class="GtkLabel" id="label_info_locking_repository">
+                        <property name="xalign">0</property>
+                        <property name="label" translatable="yes">(none)</property>
+                      </widget>
+                      <packing>
+                        <property name="left_attach">1</property>
+                        <property name="right_attach">2</property>
+                        <property name="top_attach">2</property>
+                        <property name="bottom_attach">3</property>
+                        <property name="y_options"></property>
+                      </packing>
+                    </child>
+                    <child>
+                      <widget class="GtkLabel" id="label_info_locking_branch">
+                        <property name="xalign">0</property>
+                        <property name="label" translatable="yes">(none)</property>
+                      </widget>
+                      <packing>
+                        <property name="left_attach">1</property>
+                        <property name="right_attach">2</property>
                         <property name="top_attach">1</property>
                         <property name="bottom_attach">2</property>
-                        <property name="x_options">GTK_FILL</property>
                         <property name="y_options"></property>
                       </packing>
                     </child>
                     <child>
-                      <widget class="GtkLabel" id="label_info_locking_workingtree_label">
+                      <widget class="GtkLabel" id="label_info_locking_workingtree">
                         <property name="xalign">0</property>
-                        <property name="label" translatable="yes">Working tree lock status: </property>
+                        <property name="label" translatable="yes">(none)</property>
                       </widget>
                       <packing>
-                        <property name="x_options">GTK_FILL</property>
+                        <property name="left_attach">1</property>
+                        <property name="right_attach">2</property>
                         <property name="y_options"></property>
                       </packing>
                     </child>
@@ -1730,26 +1792,12 @@
                     <property name="n_columns">2</property>
                     <property name="column_spacing">12</property>
                     <child>
-                      <widget class="GtkLabel" id="label_info_missing_workingtree">
-                        <property name="xalign">0</property>
-                        <property name="label" translatable="yes">(none)</property>
-                      </widget>
-                      <packing>
-                        <property name="left_attach">1</property>
-                        <property name="right_attach">2</property>
-                        <property name="y_options"></property>
-                      </packing>
-                    </child>
-                    <child>
-                      <widget class="GtkLabel" id="label_info_missing_branch">
-                        <property name="xalign">0</property>
-                        <property name="label" translatable="yes">(none)</property>
-                      </widget>
-                      <packing>
-                        <property name="left_attach">1</property>
-                        <property name="right_attach">2</property>
-                        <property name="top_attach">1</property>
-                        <property name="bottom_attach">2</property>
+                      <widget class="GtkLabel" id="label_info_missing_workingtree_label">
+                        <property name="xalign">0</property>
+                        <property name="label" translatable="yes">Missing revisions in working tree: </property>
+                      </widget>
+                      <packing>
+                        <property name="x_options">GTK_FILL</property>
                         <property name="y_options"></property>
                       </packing>
                     </child>
@@ -1766,12 +1814,26 @@
                       </packing>
                     </child>
                     <child>
-                      <widget class="GtkLabel" id="label_info_missing_workingtree_label">
-                        <property name="xalign">0</property>
-                        <property name="label" translatable="yes">Missing revisions in working tree: </property>
-                      </widget>
-                      <packing>
-                        <property name="x_options">GTK_FILL</property>
+                      <widget class="GtkLabel" id="label_info_missing_branch">
+                        <property name="xalign">0</property>
+                        <property name="label" translatable="yes">(none)</property>
+                      </widget>
+                      <packing>
+                        <property name="left_attach">1</property>
+                        <property name="right_attach">2</property>
+                        <property name="top_attach">1</property>
+                        <property name="bottom_attach">2</property>
+                        <property name="y_options"></property>
+                      </packing>
+                    </child>
+                    <child>
+                      <widget class="GtkLabel" id="label_info_missing_workingtree">
+                        <property name="xalign">0</property>
+                        <property name="label" translatable="yes">(none)</property>
+                      </widget>
+                      <packing>
+                        <property name="left_attach">1</property>
+                        <property name="right_attach">2</property>
                         <property name="y_options"></property>
                       </packing>
                     </child>
@@ -1810,104 +1872,84 @@
                     <property name="n_columns">2</property>
                     <property name="column_spacing">12</property>
                     <child>
-                      <widget class="GtkLabel" id="label_info_wtstats_unchanged">
+                      <widget class="GtkLabel" id="label_info_wtstats_unchanged_label">
                         <property name="xalign">0</property>
-                        <property name="label" translatable="yes">(none)</property>
+                        <property name="label" translatable="yes">Unchanged files: </property>
                       </widget>
                       <packing>
-                        <property name="left_attach">1</property>
-                        <property name="right_attach">2</property>
+                        <property name="x_options">GTK_FILL</property>
                         <property name="y_options"></property>
                       </packing>
                     </child>
                     <child>
-                      <widget class="GtkLabel" id="label_info_wtstats_modified">
+                      <widget class="GtkLabel" id="label_info_wtstats_modified_label">
                         <property name="xalign">0</property>
-                        <property name="label" translatable="yes">(none)</property>
+                        <property name="label" translatable="yes">Modified files: </property>
                       </widget>
                       <packing>
-                        <property name="left_attach">1</property>
-                        <property name="right_attach">2</property>
                         <property name="top_attach">1</property>
                         <property name="bottom_attach">2</property>
+                        <property name="x_options">GTK_FILL</property>
                         <property name="y_options"></property>
                       </packing>
                     </child>
                     <child>
-                      <widget class="GtkLabel" id="label_info_wtstats_added">
+                      <widget class="GtkLabel" id="label_info_wtstats_added_label">
                         <property name="xalign">0</property>
-                        <property name="label" translatable="yes">(none)</property>
+                        <property name="label" translatable="yes">Added files: </property>
                       </widget>
                       <packing>
-                        <property name="left_attach">1</property>
-                        <property name="right_attach">2</property>
                         <property name="top_attach">2</property>
                         <property name="bottom_attach">3</property>
+                        <property name="x_options">GTK_FILL</property>
                         <property name="y_options"></property>
                       </packing>
                     </child>
                     <child>
-                      <widget class="GtkLabel" id="label_info_wtstats_removed">
+                      <widget class="GtkLabel" id="label_info_wtstats_removed_label">
                         <property name="xalign">0</property>
-                        <property name="label" translatable="yes">(none)</property>
+                        <property name="label" translatable="yes">Removed files: </property>
                       </widget>
                       <packing>
-                        <property name="left_attach">1</property>
-                        <property name="right_attach">2</property>
                         <property name="top_attach">3</property>
                         <property name="bottom_attach">4</property>
+                        <property name="x_options">GTK_FILL</property>
                         <property name="y_options"></property>
                       </packing>
                     </child>
                     <child>
-                      <widget class="GtkLabel" id="label_info_wtstats_renamed">
+                      <widget class="GtkLabel" id="label_info_wtstats_renamed_label">
                         <property name="xalign">0</property>
-                        <property name="label" translatable="yes">(none)</property>
+                        <property name="label" translatable="yes">Renamed files: </property>
                       </widget>
                       <packing>
-                        <property name="left_attach">1</property>
-                        <property name="right_attach">2</property>
                         <property name="top_attach">4</property>
                         <property name="bottom_attach">5</property>
+                        <property name="x_options">GTK_FILL</property>
                         <property name="y_options"></property>
                       </packing>
                     </child>
                     <child>
-                      <widget class="GtkLabel" id="label_info_wtstats_unknown">
+                      <widget class="GtkLabel" id="label_info_wtstats_unknown_label">
                         <property name="xalign">0</property>
-                        <property name="label" translatable="yes">(none)</property>
+                        <property name="label" translatable="yes">Unknown files: </property>
                       </widget>
                       <packing>
-                        <property name="left_attach">1</property>
-                        <property name="right_attach">2</property>
                         <property name="top_attach">5</property>
                         <property name="bottom_attach">6</property>
+                        <property name="x_options">GTK_FILL</property>
                         <property name="y_options"></property>
                       </packing>
                     </child>
                     <child>
-                      <widget class="GtkLabel" id="label_info_wtstats_ignored">
+                      <widget class="GtkLabel" id="label_info_wtstats_ignored_label">
                         <property name="xalign">0</property>
-                        <property name="label" translatable="yes">(none)</property>
+                        <property name="label" translatable="yes">Ignored files: </property>
                       </widget>
                       <packing>
-                        <property name="left_attach">1</property>
-                        <property name="right_attach">2</property>
                         <property name="top_attach">6</property>
                         <property name="bottom_attach">7</property>
-                        <property name="y_options"></property>
-                      </packing>
-                    </child>
-                    <child>
-                      <widget class="GtkLabel" id="label_info_wtstats_subdirs">
-                        <property name="xalign">0</property>
-                        <property name="label" translatable="yes">(none)</property>
-                      </widget>
-                      <packing>
-                        <property name="left_attach">1</property>
-                        <property name="right_attach">2</property>
-                        <property name="top_attach">7</property>
-                        <property name="bottom_attach">8</property>
+                        <property name="x_options">GTK_FILL</property>
                         <property name="y_options"></property>
                       </packing>
                     </child>
@@ -1924,84 +1966,104 @@
                       </packing>
                     </child>
                     <child>
-                      <widget class="GtkLabel" id="label_info_wtstats_ignored_label">
-                        <property name="xalign">0</property>
-                        <property name="label" translatable="yes">Ignored files: </property>
-                      </widget>
-                      <packing>
+                      <widget class="GtkLabel" id="label_info_wtstats_subdirs">
+                        <property name="xalign">0</property>
+                        <property name="label" translatable="yes">(none)</property>
+                      </widget>
+                      <packing>
+                        <property name="left_attach">1</property>
+                        <property name="right_attach">2</property>
+                        <property name="top_attach">7</property>
+                        <property name="bottom_attach">8</property>
+                        <property name="y_options"></property>
+                      </packing>
+                    </child>
+                    <child>
+                      <widget class="GtkLabel" id="label_info_wtstats_ignored">
+                        <property name="xalign">0</property>
+                        <property name="label" translatable="yes">(none)</property>
+                      </widget>
+                      <packing>
+                        <property name="left_attach">1</property>
+                        <property name="right_attach">2</property>
                         <property name="top_attach">6</property>
                         <property name="bottom_attach">7</property>
-                        <property name="x_options">GTK_FILL</property>
                         <property name="y_options"></property>
                       </packing>
                     </child>
                     <child>
-                      <widget class="GtkLabel" id="label_info_wtstats_unknown_label">
+                      <widget class="GtkLabel" id="label_info_wtstats_unknown">
                         <property name="xalign">0</property>
-                        <property name="label" translatable="yes">Unknown files: </property>
+                        <property name="label" translatable="yes">(none)</property>
                       </widget>
                       <packing>
+                        <property name="left_attach">1</property>
+                        <property name="right_attach">2</property>
                         <property name="top_attach">5</property>
                         <property name="bottom_attach">6</property>
-                        <property name="x_options">GTK_FILL</property>
                         <property name="y_options"></property>
                       </packing>
                     </child>
                     <child>
-                      <widget class="GtkLabel" id="label_info_wtstats_renamed_label">
+                      <widget class="GtkLabel" id="label_info_wtstats_renamed">
                         <property name="xalign">0</property>
-                        <property name="label" translatable="yes">Renamed files: </property>
+                        <property name="label" translatable="yes">(none)</property>
                       </widget>
                       <packing>
+                        <property name="left_attach">1</property>
+                        <property name="right_attach">2</property>
                         <property name="top_attach">4</property>
                         <property name="bottom_attach">5</property>
-                        <property name="x_options">GTK_FILL</property>
                         <property name="y_options"></property>
                       </packing>
                     </child>
                     <child>
-                      <widget class="GtkLabel" id="label_info_wtstats_removed_label">
+                      <widget class="GtkLabel" id="label_info_wtstats_removed">
                         <property name="xalign">0</property>
-                        <property name="label" translatable="yes">Removed files: </property>
+                        <property name="label" translatable="yes">(none)</property>
                       </widget>
                       <packing>
+                        <property name="left_attach">1</property>
+                        <property name="right_attach">2</property>
                         <property name="top_attach">3</property>
                         <property name="bottom_attach">4</property>
-                        <property name="x_options">GTK_FILL</property>
                         <property name="y_options"></property>
                       </packing>
                     </child>
                     <child>
-                      <widget class="GtkLabel" id="label_info_wtstats_added_label">
+                      <widget class="GtkLabel" id="label_info_wtstats_added">
                         <property name="xalign">0</property>
-                        <property name="label" translatable="yes">Added files: </property>
+                        <property name="label" translatable="yes">(none)</property>
                       </widget>
                       <packing>
+                        <property name="left_attach">1</property>
+                        <property name="right_attach">2</property>
                         <property name="top_attach">2</property>
                         <property name="bottom_attach">3</property>
-                        <property name="x_options">GTK_FILL</property>
                         <property name="y_options"></property>
                       </packing>
                     </child>
                     <child>
-                      <widget class="GtkLabel" id="label_info_wtstats_modified_label">
+                      <widget class="GtkLabel" id="label_info_wtstats_modified">
                         <property name="xalign">0</property>
-                        <property name="label" translatable="yes">Modified files: </property>
+                        <property name="label" translatable="yes">(none)</property>
                       </widget>
                       <packing>
+                        <property name="left_attach">1</property>
+                        <property name="right_attach">2</property>
                         <property name="top_attach">1</property>
                         <property name="bottom_attach">2</property>
-                        <property name="x_options">GTK_FILL</property>
                         <property name="y_options"></property>
                       </packing>
                     </child>
                     <child>
-                      <widget class="GtkLabel" id="label_info_wtstats_unchanged_label">
+                      <widget class="GtkLabel" id="label_info_wtstats_unchanged">
                         <property name="xalign">0</property>
-                        <property name="label" translatable="yes">Unchanged files: </property>
+                        <property name="label" translatable="yes">(none)</property>
                       </widget>
                       <packing>
-                        <property name="x_options">GTK_FILL</property>
+                        <property name="left_attach">1</property>
+                        <property name="right_attach">2</property>
                         <property name="y_options"></property>
                       </packing>
                     </child>
@@ -2040,65 +2102,48 @@
                     <property name="n_columns">2</property>
                     <property name="column_spacing">12</property>
                     <child>
-                      <widget class="GtkLabel" id="label_info_brstats_revno">
+                      <widget class="GtkLabel" id="label_info_brstats_revno_label">
                         <property name="xalign">0</property>
-                        <property name="label" translatable="yes">(none)</property>
+                        <property name="label" translatable="yes">Revisions in branch: </property>
                       </widget>
                       <packing>
-                        <property name="left_attach">1</property>
-                        <property name="right_attach">2</property>
+                        <property name="x_options">GTK_FILL</property>
                         <property name="y_options"></property>
                       </packing>
                     </child>
                     <child>
-                      <widget class="GtkLabel" id="label_info_brstats_commiters">
+                      <widget class="GtkLabel" id="label_info_brstats_commiters_label">
                         <property name="xalign">0</property>
-                        <property name="label" translatable="yes">(none)</property>
+                        <property name="label" translatable="yes">Number of commiters: </property>
                       </widget>
                       <packing>
-                        <property name="left_attach">1</property>
-                        <property name="right_attach">2</property>
                         <property name="top_attach">1</property>
                         <property name="bottom_attach">2</property>
+                        <property name="x_options">GTK_FILL</property>
                         <property name="y_options"></property>
                       </packing>
                     </child>
                     <child>
-                      <widget class="GtkLabel" id="label_info_brstats_age">
+                      <widget class="GtkLabel" id="label_info_brstats_age_label">
                         <property name="xalign">0</property>
-                        <property name="label" translatable="yes">(none)</property>
+                        <property name="label" translatable="yes">Age of branch in days: </property>
                       </widget>
                       <packing>
-                        <property name="left_attach">1</property>
-                        <property name="right_attach">2</property>
                         <property name="top_attach">2</property>
                         <property name="bottom_attach">3</property>
+                        <property name="x_options">GTK_FILL</property>
                         <property name="y_options"></property>
                       </packing>
                     </child>
                     <child>
-                      <widget class="GtkLabel" id="label_info_brstats_firstrev">
+                      <widget class="GtkLabel" id="label_info_brstats_firstrev_label">
                         <property name="xalign">0</property>
-                        <property name="label" translatable="yes">(none)</property>
+                        <property name="label" translatable="yes">Time of first revision: </property>
                       </widget>
                       <packing>
-                        <property name="left_attach">1</property>
-                        <property name="right_attach">2</property>
                         <property name="top_attach">3</property>
                         <property name="bottom_attach">4</property>
-                        <property name="y_options"></property>
-                      </packing>
-                    </child>
-                    <child>
-                      <widget class="GtkLabel" id="label_info_brstats_lastrev">
-                        <property name="xalign">0</property>
-                        <property name="label" translatable="yes">(none)</property>
-                      </widget>
-                      <packing>
-                        <property name="left_attach">1</property>
-                        <property name="right_attach">2</property>
-                        <property name="top_attach">4</property>
-                        <property name="bottom_attach">5</property>
+                        <property name="x_options">GTK_FILL</property>
                         <property name="y_options"></property>
                       </packing>
                     </child>
@@ -2115,48 +2160,65 @@
                       </packing>
                     </child>
                     <child>
-                      <widget class="GtkLabel" id="label_info_brstats_firstrev_label">
-                        <property name="xalign">0</property>
-                        <property name="label" translatable="yes">Time of first revision: </property>
-                      </widget>
-                      <packing>
+                      <widget class="GtkLabel" id="label_info_brstats_lastrev">
+                        <property name="xalign">0</property>
+                        <property name="label" translatable="yes">(none)</property>
+                      </widget>
+                      <packing>
+                        <property name="left_attach">1</property>
+                        <property name="right_attach">2</property>
+                        <property name="top_attach">4</property>
+                        <property name="bottom_attach">5</property>
+                        <property name="y_options"></property>
+                      </packing>
+                    </child>
+                    <child>
+                      <widget class="GtkLabel" id="label_info_brstats_firstrev">
+                        <property name="xalign">0</property>
+                        <property name="label" translatable="yes">(none)</property>
+                      </widget>
+                      <packing>
+                        <property name="left_attach">1</property>
+                        <property name="right_attach">2</property>
                         <property name="top_attach">3</property>
                         <property name="bottom_attach">4</property>
-                        <property name="x_options">GTK_FILL</property>
                         <property name="y_options"></property>
                       </packing>
                     </child>
                     <child>
-                      <widget class="GtkLabel" id="label_info_brstats_age_label">
+                      <widget class="GtkLabel" id="label_info_brstats_age">
                         <property name="xalign">0</property>
-                        <property name="label" translatable="yes">Age of branch in days: </property>
+                        <property name="label" translatable="yes">(none)</property>
                       </widget>
                       <packing>
+                        <property name="left_attach">1</property>
+                        <property name="right_attach">2</property>
                         <property name="top_attach">2</property>
                         <property name="bottom_attach">3</property>
-                        <property name="x_options">GTK_FILL</property>
                         <property name="y_options"></property>
                       </packing>
                     </child>
                     <child>
-                      <widget class="GtkLabel" id="label_info_brstats_commiters_label">
+                      <widget class="GtkLabel" id="label_info_brstats_commiters">
                         <property name="xalign">0</property>
-                        <property name="label" translatable="yes">Number of commiters: </property>
+                        <property name="label" translatable="yes">(none)</property>
                       </widget>
                       <packing>
+                        <property name="left_attach">1</property>
+                        <property name="right_attach">2</property>
                         <property name="top_attach">1</property>
                         <property name="bottom_attach">2</property>
-                        <property name="x_options">GTK_FILL</property>
                         <property name="y_options"></property>
                       </packing>
                     </child>
                     <child>
-                      <widget class="GtkLabel" id="label_info_brstats_revno_label">
+                      <widget class="GtkLabel" id="label_info_brstats_revno">
                         <property name="xalign">0</property>
-                        <property name="label" translatable="yes">Revisions in branch: </property>
+                        <property name="label" translatable="yes">(none)</property>
                       </widget>
                       <packing>
-                        <property name="x_options">GTK_FILL</property>
+                        <property name="left_attach">1</property>
+                        <property name="right_attach">2</property>
                         <property name="y_options"></property>
                       </packing>
                     </child>
@@ -2195,26 +2257,12 @@
                     <property name="n_columns">2</property>
                     <property name="column_spacing">12</property>
                     <child>
-                      <widget class="GtkLabel" id="label_info_repstats_revisions">
-                        <property name="xalign">0</property>
-                        <property name="label" translatable="yes">(none)</property>
-                      </widget>
-                      <packing>
-                        <property name="left_attach">1</property>
-                        <property name="right_attach">2</property>
-                        <property name="y_options"></property>
-                      </packing>
-                    </child>
-                    <child>
-                      <widget class="GtkLabel" id="label_info_repstats_size">
-                        <property name="xalign">0</property>
-                        <property name="label" translatable="yes">(none)</property>
-                      </widget>
-                      <packing>
-                        <property name="left_attach">1</property>
-                        <property name="right_attach">2</property>
-                        <property name="top_attach">1</property>
-                        <property name="bottom_attach">2</property>
+                      <widget class="GtkLabel" id="label_info_repstats_revisions_label">
+                        <property name="xalign">0</property>
+                        <property name="label" translatable="yes">Revisions in repository: </property>
+                      </widget>
+                      <packing>
+                        <property name="x_options">GTK_FILL</property>
                         <property name="y_options"></property>
                       </packing>
                     </child>
@@ -2231,12 +2279,26 @@
                       </packing>
                     </child>
                     <child>
-                      <widget class="GtkLabel" id="label_info_repstats_revisions_label">
-                        <property name="xalign">0</property>
-                        <property name="label" translatable="yes">Revisions in repository: </property>
-                      </widget>
-                      <packing>
-                        <property name="x_options">GTK_FILL</property>
+                      <widget class="GtkLabel" id="label_info_repstats_size">
+                        <property name="xalign">0</property>
+                        <property name="label" translatable="yes">(none)</property>
+                      </widget>
+                      <packing>
+                        <property name="left_attach">1</property>
+                        <property name="right_attach">2</property>
+                        <property name="top_attach">1</property>
+                        <property name="bottom_attach">2</property>
+                        <property name="y_options"></property>
+                      </packing>
+                    </child>
+                    <child>
+                      <widget class="GtkLabel" id="label_info_repstats_revisions">
+                        <property name="xalign">0</property>
+                        <property name="label" translatable="yes">(none)</property>
+                      </widget>
+                      <packing>
+                        <property name="left_attach">1</property>
+                        <property name="right_attach">2</property>
                         <property name="y_options"></property>
                       </packing>
                     </child>

